Core - Bug # 47754

Task # 47756 (Resolved): Remove require / require_once fallback layers for namespaced classes

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Code Cleanup
Created: 2013-04-30 Assigned To:

Updated: 2013-05-02 Due date:

TYPO3 Version: 6.2

PHP Version: 54

Complexity: easy

Is Regression:
Sprint Focus:

Subiject: Cleanup dummy files from t3lib

Description

Related issues:
related to news extension - Bug # 47758: ext:news fails with 6.2 Resolved 2013-04-30

Associated revisions

Revision 94bf3a22 - 2013-04-30 20:19 - Christian Kuhn

[TASK] Remove dummy files from t3lib

With the switch to namespaces content of most class files were
extracted from t3lib to other extensions like core or backend and

the classes were renamed.

The original files were kept as dummys since 6.0 as a last
convenience layer for extensions that still used require or
require_once of core files manually instead of the class loader
introduced with 4.3 to not make those extensions fatal.

These dummy files are now finally removed.

Be aware that using old class names like 't3lib_div' is still
possible with the class_alias mechanism in the class loader, the
only change is now, that manually requiring core files is not
possible anymore. The alias mechanism is not removed

with 6.2.

Extension authors should just remove require and require_once
calls, the core will take care of finding the correct class name

on instantiation and static usage.

This first patch removes only those files from t3lib, that contain
only the deprecation comment and a require of the new file location.

Change-Id: 1874fe47dbd80f43023d0e10686917351f5a1024e
Resolves: #47754

Releases: 6.2

Reviewed-on: https://review.typo3.org/20363

Reviewed-by: Thomas Maroschik
Tested-by: Thomas Maroschik
Reviewed-by: Felix Kopp
Tested-by: Felix Kopp
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-04-30 19:11 - Christian Kuhn
- Parent task set to #47756

#2 - 2013-04-30 19:20 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/20363

#3 - 2013-04-30 20:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:94bf3a221c6e120aa353002f062bf5d25abde4e9.

#4 - 2013-05-02 12:52 - Christian Kuhn
- Tracker changed from Task to Bug
